## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

Name:           espanso
Version:        2.1.8
Release:        %autorelease
Summary:        Cross-platform Text Expander written in Rust

License:        GPL-3.0 AND (Apache-2.0 OR MIT) AND BSD-3-Clause) AND ((MIT OR Apache-2.0) AND Unicode-DFS-2016) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-3-Clause AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND CC0-1.0 AND ISC AND (MIT OR Apache-2.0 OR Zlib) AND MIT AND MPL-2.0 AND (Unlicense OR MIT) AND Zlib
URL:            https://espanso.org/
VCS:            https://github.com/espanso/espanso
Source:         %vcs/archive/v%{version}/%{name}-%{version}.tar.gz
# Automatically generated patch to strip foreign dependencies
Patch:          espanso-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# - Bump simplelog to 0.12.0
# - Bump enum-as-inner to 0.5.0
# - Bump dialoguer to 0.10.0
# - Bump notify to 5.2.0
# - Bump sysinfo to 0.28.0
Patch:          espanso-fix-metadata.diff
# Automatically generated patch to strip foreign dependencies
Patch:          espanso-clipboard-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# - Bump enum-as-inner to 0.5.0
# - Bump mockall to 0.11.0
Patch:          espanso-config-fix-metadata.diff
# Automatically generated patch to strip foreign dependencies
Patch:          espanso-detect-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# - Bump enum-as-inner to 0.5.0
# - Bump smithay-client-toolkit to 0.16.0
Patch:          espanso-detect-fix-metadata.diff
# Manually created patch for downstream crate metadata changes
# - Bump html2text 0.5.0
Patch:          espanso-engine-fix-metadata.diff
# Automatically generated patch to strip foreign dependencies
Patch:          espanso-info-fix-metadata-auto.diff
# Automatically generated patch to strip foreign dependencies
Patch:          espanso-inject-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# - Bump enum-as-inner to 0.5.0
Patch:          espanso-inject-fix-metadata.diff
# Automatically generated patch to strip foreign dependencies
Patch:          espanso-ipc-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# - Bump yaml-rust to yaml-rust-terzi 0.4.6
# - Bummp path-slash to 0.2.0
# - Bump include_dir to 0.7.0
Patch:          espanso-migrate-fix-metadata.diff
# Manually created patch for downstream crate metadata changes
# - Remove winres
# - Bump zip to 0.6.0
Patch:          espanso-modulo-fix-metadata.diff
# Manually created patch for downstream crate metadata changes
# - Bump zip to 0.6.0
Patch:          espanso-package-fix-metadata.diff
# Manually created patch for downstream crate metadata changes
# - Bump enum-as-inner to 0.5.0
# - Bump sys-locale to 0.3.0
Patch:          espanso-render-fix-metadata.diff
# Automatically generated patch to strip foreign dependencies
Patch:          espanso-ui-fix-metadata-auto.diff

BuildRequires:  rust-packaging >= 23+
BuildRequires:  wxBase-devel
BuildRequires:  wxGTK-devel
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)

Requires:       xclip

%global _description %{expand:
Cross-platform Text Expander written in Rust.

A text expander is a program that detects when you type a specific keyword and
replaces it with something else. This is useful in many ways:

 - Save a lot of typing, expanding common sentences.
 - Create system-wide code snippets.
 - Execute custom scripts
 - Use emojis like a pro.}

%description %{_description}

%files
%license LICENSE
%license LICENSE.dependencies
%{_bindir}/espanso

%package     -n %{name}-wayland
Summary:        %{summary}
License:        GPL-3.0 AND (Apache-2.0 OR MIT) AND BSD-3-Clause) AND ((MIT OR Apache-2.0) AND Unicode-DFS-2016) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-3-Clause AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND CC0-1.0 AND ISC AND (MIT OR Apache-2.0 OR Zlib) AND MIT AND MPL-2.0 AND (Unlicense OR MIT) AND Zlib
Requires:       wl-clipboard

%description -n %{name}-wayland
%{_description}

This package contains the Wayland version.

%files       -n %{name}-wayland
%license LICENSE
%license LICENSE.dependencies
%caps(cap_dac_override=pe) %{_bindir}/espanso-wayland

%prep
%autosetup -n %{name}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build -- --package={espanso,espanso-clipboard,espanso-config,espanso-detect,espanso-engine,espanso-info,espanso-inject,espanso-ipc,espanso-kvs,espanso-mac-utils,espanso-match,espanso-migrate,espanso-modulo,espanso-package,espanso-path,espanso-render,espanso-ui} --bin espanso --features="default" --bin espanso-wayland --features="wayland"

%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp target/release/espanso %{buildroot}%{_bindir}/
install -m 0755 -vp target/release/espanso-wayland %{buildroot}%{_bindir}/

%if %{with check}
%check
for f in espanso-clipboard \
    espanso-config \
    espanso-detect \
    espanso-engine \
    espanso-info \
    espanso-inject \
    espanso-kvs \
    espanso-mac-utils \
    espanso-match \
    espanso-migrate \
    espanso-modulo \
    espanso-package \
    espanso-path \
    espanso-render \
    espanso-ui
do
    pushd $f
    %cargo_test
    popd
done
pushd espanso-ipc
%cargo_test -- -- --skip ipc_multiple_clients
popd
%endif

%changelog
* Sun Oct 01 2023 Robert-André Mauchin <zebob.m@gmail.com> - 2.1.8-1
- Uncommitted changes
